View Issue Details

IDProjectCategoryView StatusLast Update
0016379ScribusFontspublic2020-12-08 00:59
Reportertwinger Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version1.5.6 
Target VersionFixed in Version1.5.7.svn 
Summary0016379: Fonts are ragged (low resolution) in 1.5.6.1
DescriptionWhen I upgraded from 1.5.5 to 1.5.6.1 the font of text when viewed on screen in Scribus are low resolution (ragged). The font previews in the pull-down menus are also ragged. This problem did not occur in 1.5.5, where the fonts are always crisp. See screenshots. I've uninstalled 1.5.6.1, reinstalled 1.5.5, and the problem has gone away. But I would like to use the newer version.
Tagsdisplay, font
PatchNo

Activities

twinger

2020-12-05 23:20

reporter  

jghali

2020-12-06 17:11

administrator   ~0048530

I have uploaded yesterday a 1.5.7.svn snapshot which contains a change for this issue. It is available here:
https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.7.svn/

Please test!

twinger

2020-12-07 00:50

reporter   ~0048532

Yes, that does solve the problem. This snapshot version has clear fonts again. Thanks.

twinger

2020-12-07 01:01

reporter   ~0048533

Correction. The fonts look good in the text box itself, but they are still low resolution in dropdown menus. See screenshot.

jghali

2020-12-07 20:19

administrator   ~0048536

Indeed. This is now fixed as well as quite a few other related issues I discovered while doing some tests. I have uploaded new snapshots on sourceforge.

twinger

2020-12-08 00:59

reporter   ~0048537

Much better now. Thanks.

Issue History

Date Modified Username Field Change
2020-12-05 23:20 twinger New Issue
2020-12-05 23:20 twinger Tag Attached: display
2020-12-05 23:20 twinger Tag Attached: font
2020-12-05 23:20 twinger File Added: Scribus 1.5.5 font display (screenshot).png
2020-12-05 23:20 twinger File Added: Scribus 1.5.6.1 font display (screenshot).png
2020-12-06 17:09 jghali Project Contributor Builds => Scribus
2020-12-06 17:10 jghali Category General => Fonts
2020-12-06 17:11 jghali Note Added: 0048530
2020-12-07 00:50 twinger Note Added: 0048532
2020-12-07 00:54 jghali Product Version => 1.5.6
2020-12-07 01:01 twinger File Added: Scribus 1.5.7 svn font display (screenshot).png
2020-12-07 01:01 twinger Note Added: 0048533
2020-12-07 20:19 jghali Assigned To => jghali
2020-12-07 20:19 jghali Status new => resolved
2020-12-07 20:19 jghali Resolution open => fixed
2020-12-07 20:19 jghali Fixed in Version => 1.5.7.svn
2020-12-07 20:19 jghali Note Added: 0048536
2020-12-08 00:59 twinger Note Added: 0048537